#!/bin/sh
#
usage="mkcert [base] -- generate file ${base}-key.pem and ${base}-cert.pem 
                        containing private key and self-signed certificate"
base=${1-""}
# generate key.pem
openssl md5 /tmp/* >rand.dat
openssl genrsa -rand rand.dat >${base}key.pem
rm rand.dat
# generate self-signed cert.pem
openssl req -new -x509 -key ${base}key.pem -out ${base}cert.pem
