// $Id: sslstrerror.C,v 1.3 2002/10/19 10:36:49 dvermeir Exp $

#include "sslstrerror.h"
#include <dvutil/ntostr.h>
#include <openssl/ssl.h>
#include <openssl/err.h>

namespace Dv {
namespace Ssl {

using namespace std;

string
sslstrerror(SSL* ssl,int retcode) {
static const string UNKNOWN_ERR_STR("Unknown err code: ");

int err(SSL_get_error(ssl,retcode));
char *msg(ERR_error_string(ERR_get_error(),0));
//int reason = ERR_GET_REASON(err);
//const char *msg(ERR_reason_error_string(err));
if (msg)
  return string(msg);
return UNKNOWN_ERR_STR+Dv::Util::ntostr(err);
}

}}
