AC_DEFUN(DV_OPENSSL_X509_NAME,[
AC_MSG_CHECKING([whether X509_NAME type is defined by openssl])
AH_TEMPLATE([HAVE_X509_NAME],[Define as 1 if type X509_NAME is defined])
dv_x509_name="no"
dv_save_CPPFLAGS=$CPPFLAGS
CPPFLAGS=$CXXINCLUDES
AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include <openssl/ssl.h>]], [[X509_NAME* x;]])],[dv_x509_name="yes"],[])
if test "$dv_x509_name" = yes; then
  AC_DEFINE(HAVE_X509_NAME)
fi
CPPFLAGS=$dv_save_CPPFLAGS
AC_MSG_RESULT($dv_x509_name)
])
